<?php
/* =============================================================================
 * $Revision: 2530 $
 * $Date: 2008-02-01 16:12:25 +0100 (Fri, 01 Feb 2008) $
 * 
 * Vivvo CMS 4.0 
 * Copyright 2005-07 SpoonLabs d.o.o.
 * http://www.spoonlabs.com, All Rights Reserved
 * 
 * Warning: This program is protected by copyright law. Unauthorized
 * reproduction or distribution of this program, or any portion of it, may
 * result in severe civil and criminal penalties, and will be prosecuted to the
 * maximum extent possible under the law. For more information about this
 * script or other scripts see http://www.spoonlabs.com
 * ============================================================================ 
 */


	require_once (dirname(__FILE__) . '/admin_include.php');
	$action = $sm->execute_action();
	
	if ($action && !$um->isset_param('list_output')){
		$dm->store_dump(md5($url));
		HTTP_Session::pause();
		header('Location: http://' . $url);
		exit(); 
	}
	$sm->set_content();
	$template->set_template_file(VIVVO_FS_ADMIN_ROOT . VIVVO_FS_ADMIN_DIR . 'templates/frame.xml');
	
	$header->add_script(VIVVO_URL . VIVVO_FS_ADMIN_DIR . 'js/list.js');
	$header->add_script(VIVVO_URL . VIVVO_FS_ADMIN_DIR . 'js/functions.js');
	$header->add_script(VIVVO_URL . VIVVO_FS_ADMIN_DIR . 'js/articles.js');
	$header->add_script(VIVVO_URL . 'js/tooltips.js');
	$header->add_css(VIVVO_URL . VIVVO_FS_ADMIN_DIR . 'css/tooltips.css');

	if ($um->isset_param('search_limit')){
		$cur_page = (int) $um->get_param('pg');
		if (empty($cur_page)) $cur_page=1;
		$sm->article_list_params['search_limit'] = (int) $um->get_param('search_limit');
		$sm->article_list_params['offset'] = ($cur_page-1) * $sm->article_list_params['search_limit'];
	}else{
		$cur_page = (int) $um->get_param('pg');
		if (empty($cur_page)) $cur_page=1;
		$sm->article_list_params['search_limit'] = 10;
		$sm->article_list_params['offset'] = ($cur_page-1) * $sm->article_list_params['search_limit'];
	}
	
	if (!$sm->user->is_admin() && !$sm->user->is_editor()){
		$sm->article_list_params['search_options']['search_user_id'] = $sm->user->get_id();
	}
	
	if (!$sm->user->is_admin() && $sm->user->category_id != 0){
		$sm->article_list_params['search_options']['search_cid'] = $sm->user->category_id;
	}
	
	$content_template = new template($sm, $template);
	$content_template->assign('search_limit', $sm->article_list_params['search_limit']);
	$content_template->assign('search_sort_by', strval($sm->article_list_params['search_sort_by'] . '.' . $sm->article_list_params['search_order']));
	$content_template->set_template_file(VIVVO_FS_ADMIN_ROOT . VIVVO_FS_ADMIN_DIR . 'templates/articles/list.xml');

	if ($sm->article_list_params['search_options']['search_tag'] != ''){
		$content_template->assign('disable_all', intval(1));
	}
	
	/*
	if (!$um->isset_param('search_do_advanced')){
		$true = true;
		$content_template->assign('sort_enabled', $true);
	}
*/

	
	if ($um->isset_param('list_output')){
		$content_template->assign('list_output', $um->isset_param('list_output'));
		echo $content_template->get_output();
	}else{
		$template->assign_template('content', $content_template);
		
		$search_template = new template($sm, $template);
		$search_template->set_template_file(VIVVO_FS_ADMIN_ROOT . VIVVO_FS_ADMIN_DIR . 'templates/articles/tabs.xml');
		$search_template->assign('user_filters_section', strval('article'));
		
		$template->assign_template('left', $search_template);
		$output = $sm->get_output();
		echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">' . "\n";
		echo $output;
	}	
	ob_end_flush();	
?>