<?php
/* =============================================================================
 * $Revision: 2492 $
 * $Date: 2008-01-11 11:28:06 +0100 (Fri, 11 Jan 2008) $
 * 
 * Vivvo CMS 4.0 
 * Copyright 2005-07 SpoonLabs d.o.o.
 * http://www.spoonlabs.com, All Rights Reserved
 * 
 * Warning: This program is protected by copyright law. Unauthorized
 * reproduction or distribution of this program, or any portion of it, may
 * result in severe civil and criminal penalties, and will be prosecuted to the
 * maximum extent possible under the law. For more information about this
 * script or other scripts see http://www.spoonlabs.com
 * ============================================================================ 
 */


	$_generation_time = time();
	require_once ('conf.php');
	require_once (VIVVO_FS_INSTALL_ROOT . 'lib/vivvo/vivvo_lite_site.php');
	require_once (VIVVO_FS_INSTALL_ROOT . 'lib/vivvo/box/vivvo_box.php');

	if (ini_get('zlib.output_compression')){
		ob_start();
	}elseif (function_exists('ob_gzhandler')){
		ob_start('ob_gzhandler');
	}else{
		ob_start();
	}
	
	define ('VIVVO_JS_COMPRESOR', VIVVO_URL .  'compress.php?js,');
	
	$sm =& new vivvo_lite_site();
	$um =& $sm->get_url_manager();
	
	if (VIVVO_MODULES_SEARCH != 1){
		//404
		header('Location:' . VIVVO_URL . '404.html');
		exit();
	}
	
	if ($um->isset_param('search_do_advanced')){
		require_once (VIVVO_FS_INSTALL_ROOT . 'lib/vivvo/core/Articles.class.php');
		$params = Articles_list::get_search_params_from_url($sm);
		unset($params['pg']);
		if ($um->isset_param('search_archive')){
			$params['search_archive'] = 1;
		}
		$params['search_do_advanced'] = true;
		$params = base64_encode(serialize($params));
		$params = rtrim($params, '=');

		if ($um->isset_param('search_archive')){
			if (VIVVO_FRIENDY_URL == 1){
				header ('Location:' . VIVVO_URL . 'archive/index.html?search_options=' . $params);
			}else{
				header ('Location:' . VIVVO_URL . 'index.php?archive&search_options=' . $params);
			}
		}else{
			header ('Location:' . VIVVO_URL . 'index.php?search_options=' . $params);
		}
		exit();
	}
	
	$template =& $sm->get_template();
	$template->set_template_file(VIVVO_FS_ROOT . VIVVO_TEMPLATE_DIR . 'frame/default.tpl');

	if (VIVVO_CLOSE_SITE == 1 && !($sm->user && $sm->user->is_admin())){
		$template->set_template_file(VIVVO_FS_TEMPLATE_ROOT . VIVVO_TEMPLATE_DIR . 'system/close_site.tpl');
		echo $template->get_output();
		exit;
	}
	
	if ($sm->user){
		$template->assign('CURRENT_USER', $sm->user);
	}
	
	$header =& $sm->get_header_manager();
		
	$header->add_script(VIVVO_URL . 'js/framework/prototype.js');
	$header->add_script(VIVVO_URL . 'js/control_tabs.js');
	$header->add_script(VIVVO_URL . 'js/functions.js');
	$header->add_script(VIVVO_URL . 'js/stars.js');
	
	$header->add_rss(VIVVO_URL . 'rss.php', 'Glavni RSS');
	$sm->set_theme();
	
	if (file_exists(VIVVO_FS_ROOT . str_replace(VIVVO_URL, '', VIVVO_THEME) . '/css/compress.php')){ 
		define ('VIVVO_CSS_COMPRESOR', VIVVO_THEME . 'css/compress.php?css,');
	}
	
	$um =& $sm->get_url_manager();

	$content_template = new template($sm, $template);
	$content_template->set_template_file(VIVVO_FS_TEMPLATE_ROOT . VIVVO_TEMPLATE_DIR . 'system/advanced_search.tpl');
	$template->assign_template('PAGE_CONTENT', $content_template);

	//$template->assign('_generation_time', );
	$output = $sm->get_output();
	echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">' . "\n";
	echo str_replace('$generation_time$', time() - $_generation_time . 's', $output);
	
	ob_end_flush();
?>