<?php
/* =============================================================================
 * $Revision: 2490 $
 * $Date: 2008-01-09 14:36:14 +0100 (Wed, 09 Jan 2008) $
 *
 * Vivvo CMS 4.0
 * Copyright 2005-07 SpoonLabs d.o.o.
 * http://www.spoonlabs.com, All Rights Reserved
 *
 * Warning: This program is protected by copyright law. Unauthorized
 * reproduction or distribution of this program, or any portion of it, may
 * result in severe civil and criminal penalties, and will be prosecuted to the
 * maximum extent possible under the law. For more information about this
 * script or other scripts see http://www.spoonlabs.com
 * ============================================================================
 */

	ini_set("memory_limit","16M");



	require_once (dirname(__FILE__) . '/../conf.php');
	require_once (VIVVO_FS_INSTALL_ROOT . 'lib/vivvo/vivvo_lite_site.php');
	require_once (VIVVO_FS_INSTALL_ROOT . 'lib/vivvo/box/vivvo_box.php');

	define ('VIVVO_ADMIN_MODE', true);

	if (ini_get('zlib.output_compression')){
		ob_start();
	}elseif (function_exists('ob_gzhandler')){
		ob_start('ob_gzhandler');
	}else{
		ob_start();
	}

	$sm = new vivvo_lite_site();
	$template =& $sm->get_template();

	define ('VIVVO_JS_COMPRESOR', VIVVO_URL .  'compress.php?js,');
	define ('VIVVO_CSS_COMPRESOR', VIVVO_URL .  VIVVO_FS_ADMIN_DIR . 'css/compress.php?css,');

	$sm->get_categories();
	$header =& $sm->get_header_manager();
	$um =& $sm->get_url_manager();
	$dm =& $sm->get_dump_manager();

	$admin_lang =& $sm->get_lang();

	if ($um->isset_param('admin_lang') && file_exists(VIVVO_FS_LANG_ROOT . 'lang/admin/' . $um->get_param('admin_lang') . '.php')){
		$admin_lang->load_lang($um->get_param('admin_lang'), 'lang/admin/', 'admin');
		$_SESSION['vivvo']['admin_lang'] = $um->get_param('admin_lang');
	}elseif (!empty($_SESSION['vivvo']['admin_lang'])){
		$admin_lang->load_lang($_SESSION['vivvo']['admin_lang'], 'lang/admin/', 'admin');
	}else{
		$admin_lang->load_lang('english', 'lang/admin/', 'admin');
		$_SESSION['vivvo']['admin_lang'] = 'english';
	}

	define ('VIVVO_ADMIN_LANG', $_SESSION['vivvo']['admin_lang']);


         $header->add_css(VIVVO_URL . VIVVO_FS_ADMIN_DIR . 'css/layout.css');
	$header->add_css(VIVVO_URL . VIVVO_FS_ADMIN_DIR . 'css/dashboard.css');
	$header->add_css(VIVVO_URL . VIVVO_FS_ADMIN_DIR . 'css/forms.css');

	$header->add_script(VIVVO_URL . 'js/framework/prototype.js');
	$header->add_script(VIVVO_URL . 'js/control_tabs.js');
	$header->add_script(VIVVO_URL . 'js/framework/scriptaculous.js');
	$header->add_script(VIVVO_URL . 'js/framework/builder.js');
	$header->add_script(VIVVO_URL . 'js/framework/effects.js');
	$header->add_script(VIVVO_URL . 'js/framework/dragdrop.js');
	$header->add_script(VIVVO_URL . 'js/framework/controls.js');
	$header->add_script(VIVVO_URL . 'js/framework/slider.js');

	if ($um->isset_param('login')){
		$action = $sm->execute_action();
		$dm->store_dump(md5(VIVVO_URL . 'admin/index.php'));

		if ($action) {
			HTTP_Session::pause();
			header('Location:index.php');
			exit();
		}
	}

	if ($sm->user === false){
		$dm->restore_dump(md5(VIVVO_URL . 'admin/index.php'));
		$template->set_template_file(VIVVO_FS_ADMIN_ROOT . VIVVO_FS_ADMIN_DIR . 'templates/login/frame.xml');

		if (VIVVO_USER_SOURCE != 'vivvo@localhost'){
			$template->assign('FOREIGN_LOGIN_TEMPLATE', $sm->_user_manager->get_admin_login_tempalte());
		}

		$template->assign('DUMP_MESSAGES', $dm->_dump_pool);
		$output = $sm->get_output();
		echo $output;
		exit();
	}

	$template->set_template_file(VIVVO_FS_ADMIN_ROOT . VIVVO_FS_ADMIN_DIR . 'templates/frame.xml');

	if ($sm->user->is_admin()){
		$header_xml = VIVVO_FS_ADMIN_DIR . 'templates/components/header_admin.xml';
		$menu_xml = VIVVO_FS_ADMIN_DIR . 'templates/components/menu_admin.xml';
	}elseif ($sm->user->is_editor()){
		$header_xml = VIVVO_FS_ADMIN_DIR . 'templates/components/header.xml';
		$menu_xml = VIVVO_FS_ADMIN_DIR . 'templates/components/menu_editor.xml';
	}elseif ($sm->user->is_writer()){
		$header_xml = VIVVO_FS_ADMIN_DIR . 'templates/components/header.xml';
		$menu_xml = VIVVO_FS_ADMIN_DIR . 'templates/components/menu.xml';
	}elseif ($sm->user->is_trusted_writer()){
		$header_xml = VIVVO_FS_ADMIN_DIR . 'templates/components/header.xml';
		$menu_xml = VIVVO_FS_ADMIN_DIR . 'templates/components/menu.xml';
	}else{
		header('Location:../404.html');
		exit();
	}
	$template->assign('current_user', $sm->user);
	$template->assign('header_xml', $header_xml);
	$template->assign('menu_xml', $menu_xml);
	//prebaciti na funkciju
	$url = $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'];

	$dm->restore_dump(md5($url));
	$template->assign('DUMP_MESSAGES', $dm->_dump_pool);
?>