<?php
/* =============================================================================
 * $Revision: 2525 $
 * $Date: 2008-01-28 16:49:17 +0100 (Mon, 28 Jan 2008) $
 * 
 * Vivvo CMS 4.0 
 * Copyright 2005-07 SpoonLabs d.o.o.
 * http://www.spoonlabs.com, All Rights Reserved
 * 
 * Warning: This program is protected by copyright law. Unauthorized
 * reproduction or distribution of this program, or any portion of it, may
 * result in severe civil and criminal penalties, and will be prosecuted to the
 * maximum extent possible under the law. For more information about this
 * script or other scripts see http://www.spoonlabs.com
 * ============================================================================ 
 */


	require_once (dirname(__FILE__) . '/admin_include.php');
		
	$action = $sm->execute_action();
	$um =& $sm->get_url_manager();	
	
	if ($action){
		
		if ($um->get_param('cmd') == 'add'){
			$dm->store_dump(md5(substr(VIVVO_URL,7) . VIVVO_FS_ADMIN_DIR . 'articles.php'));
			HTTP_Session::pause();
			header('Location: articles.php');
		}else{
			$dm->store_dump(md5($url));
			HTTP_Session::pause();
			header('Location: http://' . $url);
		}
		exit(); 
	}	
		
	if ($um->isset_param('action') && $action === false){
		$in_article = $um->get_param_regexp('/^ARTICLE_/');
		$current_article = new Articles($sm, $in_article);
		$template->assign('article', $current_article);
	}else{
		$sm->set_content();
	}
	
	$article_config =& $sm->get_configuration();
	$tab_list = $article_config->get_configuration_property_list('article_tabs');
	
	$template->assign('article_tabs', $tab_list);
	
	$template->set_template_file(VIVVO_FS_ADMIN_ROOT . VIVVO_FS_ADMIN_DIR . 'templates/article_edit/frame.xml');
	$time_zone = date('Z',time());
	$curent_time = time(); // + $time_zone + VIVVO_GENERAL_TIME_ZONE_FORMAT * 60;
	$template->assign('current_time', date('Y-m-d H:i:00', $curent_time));
	
	$header->add_script(VIVVO_URL . VIVVO_FS_ADMIN_DIR . 'js/functions.js');
	$header->add_script(VIVVO_URL . 'js/calendar/calendar_date_select.js');
	$header->add_css(VIVVO_URL . VIVVO_FS_ADMIN_DIR . 'css/calendar.css');
		
	$output = $sm->get_output();
	echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">' . "\n";
	echo $output;
	ob_end_flush();
?>