<?php
/* =============================================================================
 * $Revision: 2492 $
 * $Date: 2008-01-11 11:28:06 +0100 (Fri, 11 Jan 2008) $
 * 
 * Vivvo CMS 4.0 
 * Copyright 2005-07 SpoonLabs d.o.o.
 * http://www.spoonlabs.com, All Rights Reserved
 * 
 * Warning: This program is protected by copyright law. Unauthorized
 * reproduction or distribution of this program, or any portion of it, may
 * result in severe civil and criminal penalties, and will be prosecuted to the
 * maximum extent possible under the law. For more information about this
 * script or other scripts see http://www.spoonlabs.com
 * ============================================================================ 
 */


	$_generation_time = time();
	require_once ('conf.php');
	require_once (VIVVO_FS_INSTALL_ROOT . 'lib/vivvo/vivvo_lite_site.php');
	require_once (VIVVO_FS_INSTALL_ROOT . 'lib/vivvo/box/vivvo_box.php');

	if (ini_get('zlib.output_compression')){
		ob_start();
	}elseif (function_exists('ob_gzhandler')){
		ob_start('ob_gzhandler');
	}else{
		ob_start();
	}
	
	$sm =& new vivvo_lite_site();
	$um =& $sm->get_url_manager();
	$dm =& $sm->get_dump_manager();
	
	if (VIVVO_USER_SOURCE != 'vivvo@localhost'){
		header('Location:' . VIVVO_URL . '404.html');
		exit();	
	}
	
	$dm->restore_dump(md5(VIVVO_URL . 'login.php'));
	
	$action = $sm->execute_action();
	
	$template =& $sm->get_template();
	$template->set_template_file(VIVVO_FS_ROOT . VIVVO_TEMPLATE_DIR . 'frame/default.tpl');

	if (VIVVO_CLOSE_SITE == 1 && !($sm->user && $sm->user->is_admin())){
		$template->set_template_file(VIVVO_FS_TEMPLATE_ROOT . VIVVO_TEMPLATE_DIR . 'system/close_site.tpl');
		echo $template->get_output();
		exit;
	}
	
	
	$template->assign('DUMP_MESSAGES', $dm->_dump_pool);
	
	if ($sm->user){
		$template->assign('CURRENT_USER', $sm->user);
	}
	
	if ($action){
		$um =& $sm->get_url_manager();
		if (($um->get_param('action') == 'login' && $um->get_param('cmd') == 'register') 
			or ($um->get_param('action') == 'login' && $um->get_param('cmd') == 'confirm')){
			$template->assign('REGISTRATION', strval('1'));
		}elseif (($um->get_param('action') == 'login' && $um->get_param('cmd') == 'changePassword')){
			$template->assign('REGISTRATION', strval('0'));
		}else{
			$template->assign('REGISTRATION', strval('0'));
		}
	}elseif ($um->isset_param('action') && $action === false){
		$in_user = $um->get_param_regexp('/^USER_/');
		$current_user = new Users($sm, $in_user);
		$template->assign('user', $current_user);
	}else{
		$template->assign('REGISTRATION', strval('0'));
	}
	
	$header =& $sm->get_header_manager();

	$header->add_script(VIVVO_URL . 'js/framework/prototype.js');
	$header->add_script(VIVVO_URL . 'js/control_tabs.js');
	$header->add_script(VIVVO_URL . 'js/functions.js');
	$header->add_script(VIVVO_URL . 'js/stars.js');
	
	$sm->set_theme();

	$content_template = new template($sm, $template);
	if (($um->get_param('activation_key'))){
		$content_template->set_template_file(VIVVO_FS_TEMPLATE_ROOT . VIVVO_TEMPLATE_DIR . 'system/change_password.tpl');
		$content_template->assign('key', htmlspecialchars($um->get_param('activation_key')));
	}else{
		$content_template->set_template_file(VIVVO_FS_TEMPLATE_ROOT . VIVVO_TEMPLATE_DIR . 'system/register.tpl');
	}
	$template->assign_template('PAGE_CONTENT', $content_template);

	$output = $sm->get_output();
	echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">' . "\n";
	echo str_replace('$generation_time$', time() - $_generation_time . 's', $output);
	
	ob_end_flush();
?>